Compute Quote From Active Profile + FX (Admin)
curl --request POST \
--url https://crypto.westminister.tech/api/v1/auth/pricing/quote \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"flow_type": "<string>",
"asset": "<string>",
"fiat_currency": "<string>",
"amount_in": "<string>",
"network": "<string>",
"order_type_hint": "<string>"
}
'import requests
url = "https://crypto.westminister.tech/api/v1/auth/pricing/quote"
payload = {
"flow_type": "<string>",
"asset": "<string>",
"fiat_currency": "<string>",
"amount_in": "<string>",
"network": "<string>",
"order_type_hint": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
flow_type: '<string>',
asset: '<string>',
fiat_currency: '<string>',
amount_in: '<string>',
network: '<string>',
order_type_hint: '<string>'
})
};
fetch('https://crypto.westminister.tech/api/v1/auth/pricing/quote', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Pricing
Compute Quote From Active Profile + FX (Admin)
POST
/
api
/
v1
/
auth
/
pricing
/
quote
Compute Quote From Active Profile + FX (Admin)
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Quote payload
⌘I